All Frameworks Object Hierarchy This Framework Indexes
o Property Angle( | ) As |
PI = 3.1415926535 Angle90Clockwise = -PI/2 MyComponent.Angle = Angle90Clockwise
o Property CompRef( | ) As (Read Only) |
Dim ComponentRef As DrawingView Set ComponentRef = MyComponent.CompRef
o Property Scale2( | ) As |
MyComponent.Scale2 = 0.5
o Property x( | ) As |
NewXCoordinate = 5*25.4 MyComponent.x = NewXCoordinate
o Property y( | ) As |
NewYCoordinate = 5*25.4 MyComponent.y = NewYCoordinate
o Sub ExplodeAndSelect( | ) |
MyComponent.ExplodeAndSelect
o Sub Explode( | ) |
MyComponent.Explode Set MySelection = CATIA.ActiveDocument.Selection MySelection.clear MySelection.add MyComponent MySelection.delete
o Sub ExposeCompRefInSheet( | iSheet) |
MyComponent.ExposeCompRefInSheet MyDetailSheet
o Sub ExposeCompRef( | ) |
MyComponent.ExposeCompRef
o Sub Flip( | ) |
MyComponent.Flip
o Func GetFlip( | ) As |
IsFlipped = MyComponent.GetFlip
o Sub GetMatrix( | ioMatrix) |
o Func GetModifiableObject( | iIndex) As |
Object = MyComponent.GetModifiableObject(1)
o Func GetModifiableObjectsCount( | ) As |
Count = MyComponent.GetModifiableObjectsCount
o Sub SetMatrix( | iMatrix) |
Copyright © 2003, Dassault Systèmes. All rights reserved.